<?php

require_once("../include/include.inc.php");
$inhoud = $core->pad.'include/tpl/nieuws.tpl';
require_once($core->pad."include/header.inc.php");

$s_nieuws = mysqli_query($conn,"Select n.id, n.titel, n.auteur, n.datum, l.id As lid, l.status From nieuws As n, leden As l Where n.auteur = l.gebruikersnaam Order By n.datum Desc") or die(mysqli_error($conn));
$core->sql_count++;

## Geen nieuws geplaatst?
if(!mysqli_num_rows($s_nieuws)) {
	$tpl->newBlock("tabel");
	$tpl->newBlock("geen_nieuws");

	$tpl->assign("tabel.titel", "Er is een fout opgetreden");
}
else {
	$tpl->newBlock("tabel");
	$tpl->newBlock("nieuwsarchief");

	$tpl->assign("tabel.titel", "Nieuwsarchief");

	while($f_nieuws = mysqli_fetch_object($s_nieuws)) {
		$tpl->newBlock("archief_bericht");

		$tpl->assign(array("titel"  => htmlspecialchars(stripslashes($f_nieuws->titel))	,
						   "auteur" => $f_nieuws->auteur								,
						   "datum"  => date("d-m-Y H:i", $f_nieuws->datum)				,
						   "id"     => $f_nieuws->id									,
						   "lid"    => $f_nieuws->lid									,
			));
	}
}

require_once($core->pad."include/output.inc.php");

?>