<?php

require_once("include/include.inc.php");
$inhoud = $core->pad.'include/tpl/reactie.tpl';
require_once($core->pad."include/header.inc.php");

$tpl->newBlock("tabel");
$tpl->newBlock("statistieken");
$tpl->assign("tabel.titel", "Statistieken");

## Wie is online?
$s_online = mysqli_query($conn,"Select o.id, o.gebruikersnaam, o.ip, o.tijd, o.url, o.type, l.id As lid, l.ingelogdop, l.status, l.anoniemsurf From online As o Left Join leden As l On l.gebruikersnaam = o.gebruikersnaam Order By o.gebruikersnaam Asc") or die(mysqli_error($conn));

if(mysqli_num_rows($s_online)) {
        while($f_online = mysqli_fetch_object($s_online)) {
                if(!$f_online->gebruikersnaam)
                        $f_online->anoniemsurf = "nee";

                if($f_online->anoniemsurf == "nee") {
                        $calls = 1;
                        $tpl->newBlock("w_online");

                        if(!$f_online->gebruikersnaam) {
                                $f_online->gebruikersnaam = 'Gast';
                                $f_online->ingelogdop     = 'n.v.t.';
                        }

                        if($f_online->gebruikersnaam != 'Gast')
                                $gebruikersnaam = '<a href="'.$core->url.'leden/profiel.php?id='.$f_online->lid.'">'.status($f_online->gebruikersnaam, $f_online->status).'</a>';
                        else
                                $gebruikersnaam = 'Gast';

                        $verschil = time() - $f_online->tijd;

                        if(!$f_online->url)
                                $f_online->url = 'index.php';

                        $tpl->assign(array("gebruikersnaam" => $gebruikersnaam                                                                           ,
                                                           "ingelogdop"     => $f_online->ingelogdop                                                       ,
                                                           "oppagina"       => $f_online->url                                                                           ,
                                                           "lid"            => $f_online->lid                                                                           ,
                                                           "tijd_inactief"        => date("i:s", $verschil)                                                           ,
                                ));
                }
        }
}
else {
        $tpl->newBlock("geen_online");
}

if(!isset($calls)) {
        $tpl->newBlock("geen_online");
}

## Einde wie is online?

## Unieke bezoekers
$s_unieke_bezoekers = mysqli_query($conn,"Select h.hits, u.bezoekers, u.datum From unieke_bezoekers As u Left Join hits As h On u.datum = h.datum Order By u.id Desc") or die(mysqli_error($conn));
$core->sql_count++;

$i = 0;
$meet_sinds = 0;
$bezoekers = 0;
$hits = 0;

while($f_ub = mysqli_fetch_object($s_unieke_bezoekers)) {

        $meet_sinds++;

        $bez_aantal[$i] = $f_ub->bezoekers;
        $bez_count[$i] = $f_ub->bezoekers;
        $bez_datum[$i] = $f_ub->datum;
        $bez_hits[$i] = $f_ub->hits;

        $bezoekers += $f_ub->bezoekers;
        $hits += $f_ub->hits;
        $i++;

}

$tpl->assign(array("statistieken.hits_totaal"        => $hits,
                                   "statistieken.bez_totaal"        => $bezoekers,
                                   "statistieken.meet_sinds"        => $meet_sinds,
                ));

$bezaantal[0] = $bez_aantal[0];
$bezaantal[1] = $bez_aantal[1];
$bezaantal[2] = $bez_aantal[2];
sort($bez_aantal, SORT_NUMERIC);
sort($bezaantal, SORT_NUMERIC);
$bezaantal = array_reverse($bezaantal);
$bez_aantal = array_reverse($bez_aantal);

$max = $bezaantal[0];


for($count = 0; $count < 3; $count++) {
        $procent = round((ceil(($bez_count[$count] / $max) * 100)*2.8), 0);

        if($bez_count[$count] == 1)
                $aantal = '<b>1</b> unieke bezoeker';
        else
                $aantal = '<b>'.$bez_count[$count].'</b> unieke bezoekers';

        if($bez_hits[$count] && $bez_hits[$count] != 1)
                $hits = '<b>'.$bez_hits[$count].'</b> hits';
        elseif(!$bez_hits)
                $hits = '<b>0</b> hits';
        else
                $hits = '<b>1</b> hit';

        $tpl->newBlock("b_stats");
        $tpl->assign(array("datum"  => $bez_datum[$count],
                                           "aantal" => $aantal                         ,
                                           "hits"   => $hits                         ,
                                           "width"  => $procent          ,
                ));
}
## Einde unieke bezoekers

## Leden top 10
$s_leden = mysqli_query($conn,"Select id, gebruikersnaam, status, posts From leden Where actief = 'ja' Order By posts Desc Limit 0,5") or die(mysqli_error($conn));
$core->sql_count++;

$i = 0;

while($f_lid = mysqli_fetch_object($s_leden)) {
        $i++;

        $tpl->newBlock("l_stats");

        $stats[$i] = $i.'. <a href="'.$core->url.'leden/profiel.php?id='.$f_lid->id.'" class="zwart">'.status($f_lid->gebruikersnaam, $f_lid->status).'</a> is vandaag ('.$f_lid->posts.') jaar geworden<br>';

        $tpl->assign("stats", $stats[$i]);
}
## Einde leden top 10

## Begin Leden Stats
$s_aantallen = mysqli_query($conn,"Select id, status From priveberichten") or die(mysqli_error($conn));
$core->sql_count++;

$aantal = 0;
$inbox = 0;
$verzonden = 0;

while($f_aantallen = mysqli_fetch_object($s_aantallen)) {
        if($f_aantallen->status == "inbox")
                $inbox++;
        if($f_aantallen->status == "verzonden")
                $verzonden++;

        $aantal++;
}

mysqli_free_result($s_aantallen);

$s_leden = mysqli_query($conn,"Select id, actief From leden Order By id") or die(mysqli_error($conn));
$core->sql_count++;

$aantal_leden = 0;
$aantal_actief = 0;
$aantal_inactief = 0;

while($f_leden = mysqli_fetch_object($s_leden)) {
        if($f_leden->actief == "ja")
                $aantal_actief++;
        else
                $aantal_inactief++;

        $aantal_leden++;
}

mysqli_free_result($s_leden);

$tpl->assign(array(        "statistieken.aangemeld"                        => $aantal_leden                        ,
                                        "statistieken.geactiveerd"                        => $aantal_actief                        ,
                                        "statistieken.niet_geactiveerd"                => $aantal_inactief                        ,
                                        "statistieken.priveberichten"                => $aantal                                        ,
                                        "statistieken.verstuurd"                        => $verzonden                                ,
                                        "statistieken.ontvangen"                        => $inbox                                        ,
                ));

## Ende Leden Stats

## Begin Forum Stats

$s_stats = mysqli_query($conn,"Select id, gesloten, mededeling From forum_berichten Order By id") or die(mysqli_error($conn));

$aantal_berichten = 0;
$aantal_gesloten = 0;
$aantal_mededelingen = 0;

while($f_stats = mysqli_fetch_object($s_stats)) {
        $aantal_berichten++;

        if($f_stats->gesloten == 1)
                $aantal_gesloten++;

        if($f_stats->mededeling == 1)
                $aantal_mededelingen++;
}

$tpl->assign(array("statistieken.f_berichten"  => $aantal_berichten   ,
                                   "statistieken.f_gesloten"   => $aantal_gesloten    ,
                                   "statistieken.f_mededeling" => $aantal_mededelingen,
                ));

mysqli_free_result($s_stats);

## Einde Forum Stats

## Begin ref Stats
$s_ref = mysqli_query($conn,"Select url, aantal From refs Order By aantal Desc Limit 0,25") or die(mysqli_error($conn));
$core->sql_count++;

while($f_ref = mysqli_fetch_object($s_ref)) {
        $tpl->newBlock("ref");

        $tpl->assign(array("aantal" => $f_ref->aantal,
                                           "url"        => $f_ref->url         ,
                ));
}

mysqli_free_result($s_ref);
## Ende ref stats

require_once($core->pad."include/output.inc.php");

?>