<?php

require_once("../include/include.inc.php");
$inhoud = $core->pad.'include/tpl/admin.tpl';
require_once($core->pad."include/header.inc.php");

## Niet ingelogd of niet de status beheerder?
if(!$core->ingelogd) {
	header("Location: ".$core->url."leden/index.php?ref_url=/beheer/linkpartners.php");
}
elseif($core->status != "Beheerder") {
	$tpl->newBlock("tabel");
	$tpl->newBlock("geen_toegang");
	
	$tpl->assign("tabel.titel", "Er is een fout opgetreden!");

	require_once($core->pad."include/output.inc.php");
	exit;
}

if((!isset($_GET['bewerken']) || !$_GET['bewerken']) && (!isset($_GET['verwijderen']) || !$_GET['verwijderen']) && (!isset($_GET['toevoegen']) || !$_GET['toevoegen'])) {
	$s_partners = mysqli_query($conn,"Select l.id, l.titel, l.kliks From linkpartners As l Order By l.titel Asc") or die(mysqli_error($conn));
	$core->sql_count++;

	$tpl->newBlock("tabel");
	$tpl->newBlock("linkpartners");

	$tpl->assign("tabel.titel", "Linkpartners");

	if(!mysqli_num_rows($s_partners)) {
		$tpl->newBlock("item_geen_l");
	}
	else {
		while($f_partner = mysqli_fetch_object($s_partners)) {
			$tpl->newBlock("item_l");
		
			$tpl->assign(array("titel" => htmlspecialchars(stripslashes($f_partner->titel)),
							   "kliks" => $f_partner->kliks								   ,
							   "id"    => $f_partner->id								   ,
				));
		}
	}
}
elseif(isset($_GET['toevoegen']) && $_GET['toevoegen']) {
	
	$fout_url   = '';
	$fout_titel = '';

	if(isset($_POST['toevoegen'])) {
		$_POST['titel'] = addslashes(trim($_POST['titel']));
		$_POST['l_url'] = addslashes(trim($_POST['l_url']));

		if(strlen($_POST['titel']) < 3) {
			$fout_titel = '<font color="red">&lsaquo; Onjuiste invoer</font>';
			$fout = 1;
		}
						
		if(substr($_POST['l_url'], 0, 3) == "www")
			$_POST['l_url'] = "http://".$_POST['l_url'];

		if(strlen($_POST['l_url']) <= 4 || $_POST['l_url'] != strip_tags($_POST['l_url']) || !preg_match("/(http|https):\/\/[a-z0-9]+[a-z0-9_\/]*/", $_POST['l_url'])) {
			$fout_url = '<font color="red">&lsaquo; Onjuiste invoer</font>';
			$fout = 1;
		}

		$s_flood = mysqli_query($conn,"Select count(sleutel) From sleutels Where sleutel = '".$_POST['sleutel']."'") or die(mysqli_error($conn));
		$core->sql_count++;

		if(mysql_result($s_flood, 0) == 0) {
			$tpl->newBlock("tabel");
			$tpl->newBlock("flooden");
					
			$tpl->assign("tabel.titel", "Er is een fout opgetreden!");

			require_once($core->pad."include/output.inc.php");			

			exit;
		}

		if(!isset($fout)) {
			$i_link = mysqli_query($conn,"Insert Into linkpartners (id, titel, url, kliks) Values ('NULL', '".$_POST['titel']."', '".$_POST['l_url']."', '0')") or die(mysqli_error($conn));
			$core->sql_count++;

			$d_sleutel = mysqli_query($conn,"Delete From sleutels Where sleutel = '".$_POST['sleutel']."'") or die(mysqli_error($conn));
			$core->sql_count++;

			$tpl->newBlock("tabel");
			$tpl->newBlock("l_toegevoegd");

			$tpl->assign("tabel.titel", "Linkpartner Toegevoegd");
				
			require_once($core->pad."include/output.inc.php");
			exit;
		}
	}
	
	$tpl->newBlock("tabel");
	$tpl->newBlock("l_toevoegen");

	## De titel samenstellen
	$_POST['titel'] = !isset($_POST['titel']) ? '' : stripslashes($_POST['titel']);
	$_POST['l_url'] = !isset($_POST['l_url']) ? '' : stripslashes($_POST['l_url']);

	$sleutel = md5(time());
	$i_sleutel = mysqli_query($conn,"Insert Into sleutels Values ('".$sleutel."', '".time()."')") or die(mysqli_error($conn));
	$core->sql_count++;		

	$tpl->assign(array("tabel.titel" => "Linkpartner toevoegen"					   ,
					   "titel"       => stripslashes($_POST['titel'])			   ,
					   "l_url"       => stripslashes($_POST['l_url'])			   ,
					   "fout_url"    => $fout_url								   ,
					   "fout_titel"  => $fout_titel							       ,
					   "sleutel"     => $sleutel								   ,
		));

}
elseif(isset($_GET['bewerken']) && $_GET['bewerken']) {
	$s_lp = mysqli_query($conn,"Select titel, url As l_url, kliks From linkpartners Where id = '".$_GET['bewerken']."'") or die(mysqli_error($conn));
	$core->sql_count++;
	
	if(!mysqli_num_rows($s_lp))
		header("Location: ".$core->url."beheer/linkpartners.php");
	else {
		$fout_titel   = '';
		$fout_url     = '';
		$fout_kliks   = '';

		if(isset($_POST['bewerken'])) {
			$_POST['l_url'] = addslashes(trim($_POST['l_url']));
			$_POST['titel'] = addslashes(trim($_POST['titel']));
			$_POST['kliks'] = addslashes(trim($_POST['kliks']));

			if(strlen($_POST['titel']) < 3) {
				$fout_titel = '<font color="red">&lsaquo; Onjuiste invoer</font>';
				$fout = 1;
			}

			if(substr($_POST['l_url'], 0, 3) == "www")
				$_POST['l_url'] = "http://".$_POST['l_url'];

			if(strlen($_POST['l_url']) <= 4 || $_POST['l_url'] != strip_tags($_POST['l_url']) || !preg_match("/(http|https):\/\/[a-z0-9]+[a-z0-9_\/]*/", $_POST['l_url'])) {
				$fout_url = '<font color="red">&lsaquo; Onjuiste invoer</font>';
				$fout = 1;
			}
						
			if($_POST['kliks'] != strip_tags($_POST['kliks']) || !preg_match("/^[0-9]+$/", $_POST['kliks'])) {
				$fout_kliks = '<font color="red">&lsaquo; Onjuiste invoer</font>';
				$fout = 1;
			}

			if(!isset($fout)) {
				$u_link = mysqli_query($conn,"Update linkpartners Set titel = '".$_POST['titel']."', url = '".$_POST['l_url']."', kliks = '".$_POST['kliks']."' Where id = '".$_GET['bewerken']."'") or die(mysqli_error($conn));
				$core->sql_count++;

				$tpl->newBlock("tabel");
				$tpl->newBlock("l_bewerkt");

				$tpl->assign("tabel.titel", "Linkpartner Bewerkt");
				
				require_once($core->pad."include/output.inc.php");
				exit;
			}
		}

		$tpl->newBlock("tabel");
		$tpl->newBlock("l_bewerken");
		
		$f_lp = mysqli_fetch_object($s_lp);

		## De titel samenstellen
		$_POST['titel'] = !isset($_POST['titel']) ? $f_lp->titel : stripslashes($_POST['titel']);
		$_POST['l_url'] = !isset($_POST['l_url']) ? $f_lp->l_url : stripslashes($_POST['l_url']);
		$_POST['kliks'] = !isset($_POST['kliks']) ? $f_lp->kliks : stripslashes($_POST['kliks']);

		$tpl->assign(array("tabel.titel"			  => "Bewerk een linkpartner"								 ,
						   "l_bewerken.titel"         => htmlspecialchars(stripslashes($_POST['titel']))		 ,
						   "l_bewerken.l_url"         => htmlspecialchars(stripslashes($_POST['l_url']))   		 ,
						   "l_bewerken.fout_titel"    => $fout_titel											 ,
						   "l_bewerken.fout_url"      => $fout_url  											 ,
						   "l_bewerken.fout_kliks"    => $fout_kliks											 ,
						   "l_bewerken.id"            => $_GET['bewerken']										 ,
						   "l_bewerken.kliks"         => stripslashes($_POST['kliks'])                           ,
			));
	}
}
elseif(isset($_GET['verwijderen']) && $_GET['verwijderen']) {
	$s_lp = mysqli_query($conn,"Select id From linkpartners Where id = '".$_GET['verwijderen']."'") or die(mysqli_error($conn));
	$core->sql_count++;

	if(!mysqli_num_rows($s_lp))
		header("Location: ".$core->url."beheer/linkpartners.php");
	else {
		if(!isset($_POST['confirm'])) {
			$tpl->newBlock("tabel");
			$tpl->newBlock("l_verwijderen_confirm");

			$tpl->assign(array("tabel.titel" => "Weet je het zeker?",
							   "id"          => $_GET['verwijderen'],
				));
		}
		elseif($_POST['confirm'] == "Ja") {
			$d_partner = mysqli_query($conn,"Delete From linkpartners Where id = '".$_GET['verwijderen']."'") or die(mysqli_error($conn));
			$core->sql_count++;
			
			$tpl->newBlock("tabel");
			$tpl->newBlock("l_verwijderd");
			$tpl->assign("tabel.titel", "Linkpartner Verwijderd");
			
			require_once($core->pad."include/output.inc.php");
			exit;
		}
		else {
			header("Location: ".$core->url."beheer/linkpartners.php");
		}
	}
}

require_once($core->pad."include/output.inc.php");

?>